# Uses of Class
org.springframework.cglib.proxy.Mixin

Packages that use Mixin
Package
Description
org.springframework.cglib.proxy
Spring's repackaging of the CGLIB proxy package (for internal use only).

## Uses of Mixin in org.springframework.cglib.proxy

Methods in org.springframework.cglib.proxy that return Mixin
Modifier and Type
Method
Description
`static Mixin`
Mixin.`create(Class[] interfaces, Object[] delegates)`
Helper method to create an interface mixin.
`static Mixin`
Mixin.`create(Object[] delegates)`
Helper method to create an interface mixin.
`Mixin`
Mixin.Generator.`create()`
`static Mixin`
Mixin.`createBean(ClassLoader loader, Object[] beans)`
Helper method to create a bean mixin.
`static Mixin`
Mixin.`createBean(Object[] beans)`
`abstract Mixin`
Mixin.`newInstance(Object[] delegates)`